[project]
name = "windfarm"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "ezdxf>=1.4.3",
    "matplotlib>=3.10.8",
    "networkx>=3.6.1",
    "nicegui>=3.4.1",
    "numpy>=2.4.0",
    "openpyxl>=3.1.5",
    "pandas>=2.3.3",
    "pywebview>=6.1",
    "scikit-learn>=1.8.0",
    "scipy>=1.16.3",
]

[dependency-groups]
dev = [
    "pyinstaller>=6.17.0",
]
